Bug 478966 - Update documentation in rhn-upgrade
Update documentation in rhn-upgrade
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Jeff Browning
:
Depends On:
Blocks: 456984 456986
  Show dependency treegraph
 
Reported: 2009-01-06 05:03 EST by Milan Zázrivec
Modified: 2009-08-27 13:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2009-01-06 05:03:07 EST
Description of problem:
Upgrade documentation contained in rhn-upgrade package needs to be
updated in at least following:

* Say 5.3 instead of 5.2 (where applicable)
* schema upgrade is now being done by spacewalk-schema-upgrade scripts

Version-Release number of selected component (if applicable):
rhn-upgrade-5.3.0-3
Comment 1 Milan Zázrivec 2009-01-06 07:24:47 EST
Not to forget mentioning update of /var/satellite between versions 5.2 and 5.3.
Comment 2 Milan Zázrivec 2009-01-07 10:27:36 EST
Perhaps replacing strings /etc/init.d/rhn-satellite with
/usr/sbin/rhn-satellite.
Comment 3 John Matthews 2009-01-07 12:12:15 EST
Indexes for search could be an issue in the future.  I don't recall changes to package search in 5.3, so this is probably not going to impact 5.2 -> 5.3, but as a general rule of thumb it'd be a good idea to regenerate the lucene indexes after each upgrade.  

To regenerate the indexes run:
/etc/init.d/rhn-search cleanindex
/etc/init.d/rhn-search start


That will stop rhn-search and wipe indexes, then upon next startup rhn-search will create new indexes.
Comment 4 Jan Pazdziora 2009-01-16 08:29:59 EST
As of Spacewalk 0.4, spacewalk-setup needs

  semanage fcontext -a -t spacewalk_data_t ...

if /var/satellite is in different directory. We might make spacewalk-setup more clever in 0.5 but as of now, this ought to be documented.
Comment 5 Milan Zázrivec 2009-02-17 12:13:23 EST
satellite.git:
39cb294d89db6de2a794b0ed9769a3d1a28a6ef1
b2e44706227a7ac1123aec8f275e6586e178a3a7
30b7f8d9873febaecb9746b1859f8d49f7f5e133

tagged & built rhn-upgrade-5.3.0.3-1
Comment 6 Milan Zázrivec 2009-02-19 07:13:54 EST
The part about rebuilding search indexes was added in
86d424bd15c7c8391cb3992b8b2a3e6cc766b95c (satellite.git, SATELLITE-5.3).

tagged & built rhn-upgrade-5.3.0.4-1
Comment 7 Jeff Browning 2009-05-12 16:51:14 EDT
Verified
Comment 8 Brandon Perkins 2009-08-25 16:32:37 EDT
Release Pending.

5.2 references look sane:

/etc/sysconfig/rhn/satellite-upgrade/README:Satellite 5.2 introduced support for Oracle 10g. If you are using embedded
/etc/sysconfig/rhn/satellite-upgrade/README:   - Satellite 5.2 and before: service rhn-satellite restart
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt:        ** if you are upgrading from Satellite v5.2, run as root:
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt:   NOTE 1: this step is necessary if you are upgrading from Satellite 5.2.x
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt:   If you are upgrading from Satellite 5.2.0 or earlier, it is necessary to
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:   4AS + Satellite 5.2
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:   5 Server + Satellite 5.2
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:   NOTE 1: this step is necessary if you are upgrading from Satellite 5.2.x
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:   If you are upgrading from Satellite 5.2.0 or earlier, it is necessary to

'spacewalk-schema-upgrade' is referenced: 

/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt:   Upgrade your database schema using spacewalk-schema-upgrade command
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt:   (see manual page for spacewalk-schema-upgrade for more information):
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt:      /usr/bin/spacewalk-schema-upgrade
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:   Upgrade your database schema using spacewalk-schema-upgrade command
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:   (see manual page for spacewalk-schema-upgrade for more information):
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:      /usr/bin/spacewalk-schema-upgrade

Multiple references to "Convert /var/satellite directory"

Appropriate reference changes from "service rhn-satellite" to "/usr/sbin/rhn-satellite"

Now includes "cleanindex":

/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt:     service rhn-search cleanindex
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt:     service rhn-search cleanindex

There is no reference to "  semanage fcontext -a -t spacewalk_data_t ..."
Comment 9 Brandon Perkins 2009-08-27 13:37:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.